## org.apache.portals.bridges.portletfilter
Class PortletFilterConfig.Enumerator

    java.lang.Object
      org.apache.portals.bridges.portletfilter.PortletFilterConfig.Enumerator

All Implemented Interfaces:
  Enumeration

Enclosing class:
  PortletFilterConfig

public final class PortletFilterConfig.Enumerator
extends Object
implements Enumeration

Uitlity class to wraps an `Iterator`

Author:
  Shinsuke Sugaya

Field Summary
`private Iterator` `iterator` The `Iterator` over which the `Enumeration` represented by this class actually operates.

Constructor Summary
`PortletFilterConfig.Enumerator(Iterator iterator)` Return an Enumeration over the values returned by the specified Iterator.

Method Summary
`boolean` `hasMoreElements()` Tests if this enumeration contains more elements.
`Object` `nextElement()` Returns the next element of this enumeration if this enumeration has at least one more element to provide.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### iterator

    private Iterator iterator

  The `Iterator` over which the `Enumeration` represented by this class actually operates.

Constructor Detail

### PortletFilterConfig.Enumerator

    public PortletFilterConfig.Enumerator(Iterator iterator)

  Return an Enumeration over the values returned by the specified Iterator.

Parameters:
  `iterator` - Iterator to be wrapped

Method Detail

### hasMoreElements

    public boolean hasMoreElements()

  Tests if this enumeration contains more elements.

  Specified by:
    `hasMoreElements` in interface `Enumeration`
  Returns:
    `true` if and only if this enumeration object contains at least one more element to provide, `false` otherwise

### nextElement

    public Object nextElement()
                       throws NoSuchElementException

  Returns the next element of this enumeration if this enumeration has at least one more element to provide.

  Specified by:
    `nextElement` in interface `Enumeration`
  Returns:
    the next element of this enumeration
  Throws:
    `NoSuchElementException` - if no more elements exist

Copyright © 2005-2007 Apache Software Foundation. All Rights Reserved.